ONLINE HELP
 WINDEVWEBDEV AND WINDEV MOBILE

  • Overview
  • Required configuration
  • Conditions for using a Native Progress Connector
  • Specific file distributed with Native PostgreSQL Connector
  • Use
  • Using Native PostgreSQL Connector in your WINDEV applications and WEBDEV sites
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaReports and QueriesUser code (UMC)
WEBDEV
WindowsLinuxPHPWEBDEV - Browser code
WINDEV Mobile
AndroidAndroid Widget iPhone/iPadIOS WidgetApple WatchMac CatalystUniversal Windows 10 App
Others
Stored procedures
Overview
WINDEV and WEBDEV 28 include a Native PostgreSQL Connector (or Native PostgreSQL Access), available in 32 and 64-bit mode. This Native Connector allows you to access a PostgreSQL database from a WLanguage program without using any external driver.
Caution: This version of the Native PostgreSQL Connector works with WINDEV and WEBDEV version 28.
Remark: The Native PostgreSQL Connector is an optional and free module that can be downloaded from the PC SOFT site.
Required configuration

Conditions for using a Native Progress Connector

We recommend that you use a recent PostgreSQL client layer, whose version is identical to the version of your server if possible.
To do so, you must:
  • Copy the DLLs of the PostgreSQL client layer to the WINDEV or WEBDEV installation directory on the development computer.
    Remark: You must also copy all the dependencies provided with the client layer.
  • Copy the DLLs of the PostgreSQL client layer to the executable directory or to the Windows directory on the development computer.
    Remark: You must also copy all the dependencies provided with the client layer.
  • Install the DLLs of Visual runtime (package that can be downloaded from Microsoft site).
    Remark: The version of the visual runtime depends on the PostgreSQL client layer.
In 32-bit mode, if these DLLs are not found, the Native PostgreSQL Connector will use a standard client layer (PostgreSQL version 7.4.23). It contains all the necessary features for the Native Connector and is compatible with servers up to version 9.6. If you use a server in a more recent version, install a version of the client layer compatible with your server.
Linux The PostgreSQL client layer should be installed with the Linux distribution package manager. Dependencies will also be installed.
Example (Debian):
apt-get install libpq5
Remark: To use the SSL connections, you must install a PostgreSQL client layer version 9.1 or later.

Specific file distributed with Native PostgreSQL Connector

To use Native PostgreSQL Connector:
  • in 32-bit mode, only the wd280postgresql.DLL DLL is required. This file is provided with the Native PostgreSQL Connector for WINDEV and WEBDEV.
  • in 64-bit mode, only the wd280postgresql64.DLL DLL is required. This file is provided with the Native PostgreSQL Connector for WINDEV and WEBDEV.
Use

Using Native PostgreSQL Connector in your WINDEV applications and WEBDEV sites

To use PostgreSQL in native mode, you must program in the WINDEV application or in the WEBDEV site:
Remarks:
  • Don't forget to read the limitations of the Native PostgreSQL Connector.
  • The "Automatically create the data files if they do not exist" option (in the "Files" tab of the project description) is taken into account by the Native PostgreSQL Connector.
Minimum version required
  • Version 14
This page is also available for…
Comments
Na versao 28 passou a ter uma mudança no Extend Info para o Postgresql
https://forum.pcsoft.fr/fr-FR/pcsoft.br.windev/4122-atencao-versao-28-driver-nativo-postgresql-teve-uma/read.awp
Boller
06 Jun. 2023